Bug 310950 - Digikam Crashed when deleting tag
Summary: Digikam Crashed when deleting tag
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Tags-Engine (show other bugs)
Version: 2.9.0
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-30 22:01 UTC by Jeff Lehrkamp
Modified: 2021-08-26 16:52 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.4.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff Lehrkamp 2012-11-30 22:01:20 UTC
Application: digikam (2.9.0)
KDE Platform Version: 4.9.3
Qt Version: 4.8.3
Operating System: Linux 3.6.7-4.fc17.i686.PAE i686
Distribution: "Fedora release 17 (Beefy Miracle)"

-- Information about the crash:
- What I was doing when the application crashed:
had removed tag from images in the library, then attempted to delete the tag.  this situation seems to occur everytime.  If the application is closed and restarted before deleting the tag, situation does not occur.

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0xb77a5900 (LWP 21730))]

Thread 7 (Thread 0xb5673b40 (LWP 21750)):
#0  0xb77ff424 in __kernel_vsyscall ()
#1  0x4326e12c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:172
#2  0x43f999d8 in wait (time=4294967295, this=0x8e04228) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0x8e04194, mutex=0x8e04190, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#4  0x08208546 in Digikam::ScanController::run (this=0x8e0ac80) at /usr/src/debug/digikam-2.9.0/core/digikam/database/scancontroller.cpp:698
#5  0x43f993da in QThreadPrivate::start (arg=0x8e0ac80) at thread/qthread_unix.cpp:338
#6  0x4326aadf in start_thread (arg=0xb5673b40) at pthread_create.c:309
#7  0x4317042e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 6 (Thread 0xb4cffb40 (LWP 21751)):
#0  __pthread_mutex_lock (mutex=0xb4300550) at pthread_mutex_lock.c:91
#1  0x434ed4f1 in g_mutex_lock (mutex=mutex@entry=0xb43004e0) at gthread-posix.c:208
#2  0x434ac52b in g_main_context_iteration (context=0xb43004e0, may_block=1) at gmain.c:3206
#3  0x440e1a9f in QEventDispatcherGlib::processEvents (this=0xb4300468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x440adf7d in QEventLoop::processEvents (this=this@entry=0xb4cff068, flags=...) at kernel/qeventloop.cpp:149
#5  0x440ae279 in QEventLoop::exec (this=0xb4cff068, flags=...) at kernel/qeventloop.cpp:204
#6  0x43f95f4c in QThread::exec (this=0x8e055e0) at thread/qthread.cpp:501
#7  0x4408bf1e in QInotifyFileSystemWatcherEngine::run (this=0x8e055e0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x43f993da in QThreadPrivate::start (arg=0x8e055e0) at thread/qthread_unix.cpp:338
#9  0x4326aadf in start_thread (arg=0xb4cffb40) at pthread_create.c:309
#10 0x4317042e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 5 (Thread 0xb42ffb40 (LWP 21766)):
#0  0xb77ff424 in __kernel_vsyscall ()
#1  0x4326e12c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:172
#2  0x43f999d8 in wait (time=4294967295, this=0x8efb8f8) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0x8e5b850, mutex=0x8e5b84c, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#4  0x42a062dc in Digikam::ParkingThread::run (this=0x8e5b840) at /usr/src/debug/digikam-2.9.0/core/libs/threads/threadmanager.cpp:119
#5  0x43f993da in QThreadPrivate::start (arg=0x8e5b840) at thread/qthread_unix.cpp:338
#6  0x4326aadf in start_thread (arg=0xb42ffb40) at pthread_create.c:309
#7  0x4317042e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 4 (Thread 0xabfbeb40 (LWP 21875)):
#0  0xb77ff424 in __kernel_vsyscall ()
#1  0x4327118b in read () at ../sysdeps/unix/syscall-template.S:82
#2  0x434ec766 in read (__nbytes=16, __buf=0xabfbde8c, __fd=<optimized out>) at /usr/include/bits/unistd.h:45
#3  g_wakeup_acknowledge (wakeup=0xc09de00) at gwakeup.c:212
#4  0x434abef2 in g_main_context_check (context=context@entry=0xdbb2130, max_priority=2147483647, fds=fds@entry=0xcb410a8, n_fds=n_fds@entry=1) at gmain.c:2980
#5  0x434ac372 in g_main_context_iterate (context=context@entry=0xdbb2130, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3143
#6  0x434ac542 in g_main_context_iteration (context=0xdbb2130, may_block=1) at gmain.c:3207
#7  0x440e1a9f in QEventDispatcherGlib::processEvents (this=0xaab3e68, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#8  0x440adf7d in QEventLoop::processEvents (this=this@entry=0xabfbe060, flags=...) at kernel/qeventloop.cpp:149
#9  0x440ae279 in QEventLoop::exec (this=0xabfbe060, flags=...) at kernel/qeventloop.cpp:204
#10 0x42a0585d in Digikam::WorkerObjectRunnable::run (this=0xf54d5c8) at /usr/src/debug/digikam-2.9.0/core/libs/threads/threadmanager.cpp:196
#11 0x43f8bedc in QThreadPoolThread::run (this=0xc213a98) at concurrent/qthreadpool.cpp:107
#12 0x43f993da in QThreadPrivate::start (arg=0xc213a98) at thread/qthread_unix.cpp:338
#13 0x4326aadf in start_thread (arg=0xabfbeb40) at pthread_create.c:309
#14 0x4317042e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 3 (Thread 0xae30bb40 (LWP 21876)):
#0  0x4326c8a0 in __pthread_mutex_lock (mutex=0xb4d0bf88) at pthread_mutex_lock.c:96
#1  0x434ed4f1 in g_mutex_lock (mutex=mutex@entry=0xb4d50150) at gthread-posix.c:208
#2  0x434abc47 in g_main_context_query (context=context@entry=0xb4d50150, max_priority=2147483647, timeout=timeout@entry=0xae30af2c, fds=fds@entry=0xb4d1bc68, n_fds=1) at gmain.c:2905
#3  0x434ac33e in g_main_context_iterate (context=context@entry=0xb4d50150, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3128
#4  0x434ac542 in g_main_context_iteration (context=0xb4d50150, may_block=1) at gmain.c:3207
#5  0x440e1a9f in QEventDispatcherGlib::processEvents (this=0xb36b84e8, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x440adf7d in QEventLoop::processEvents (this=this@entry=0xae30b060, flags=...) at kernel/qeventloop.cpp:149
#7  0x440ae279 in QEventLoop::exec (this=0xae30b060, flags=...) at kernel/qeventloop.cpp:204
#8  0x42a0585d in Digikam::WorkerObjectRunnable::run (this=0xf370a68) at /usr/src/debug/digikam-2.9.0/core/libs/threads/threadmanager.cpp:196
#9  0x43f8bedc in QThreadPoolThread::run (this=0x9057098) at concurrent/qthreadpool.cpp:107
#10 0x43f993da in QThreadPrivate::start (arg=0x9057098) at thread/qthread_unix.cpp:338
#11 0x4326aadf in start_thread (arg=0xae30bb40) at pthread_create.c:309
#12 0x4317042e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 2 (Thread 0xa9aaab40 (LWP 21877)):
#0  0x46b4bf26 in sqlite3RunParser (pParse=pParse@entry=0xa8a778d8, zSql=zSql@entry=0xa6f27208 "INSERT INTO Thumbnails (type, modificationDate, orientationHint, data) VALUES (?, ?, ?, ?);", pzErrMsg=pzErrMsg@entry=0xa9aa9858) at sqlite3.c:111966
#1  0x46b4d8bc in sqlite3Prepare (db=db@entry=0xbb67708, zSql=zSql@entry=0xa6f27208 "INSERT INTO Thumbnails (type, modificationDate, orientationHint, data) VALUES (?, ?, ?, ?);", nBytes=nBytes@entry=-1, saveSqlFlag=saveSqlFlag@entry=1, pReprepare=pReprepare@entry=0x0, ppStmt=ppStmt@entry=0xa6d8cd28, pzTail=pzTail@entry=0xa9aa991c) at sqlite3.c:94249
#2  0x46b4dbd2 in sqlite3LockAndPrepare (pzTail=0xa9aa991c, ppStmt=0xa6d8cd28, pOld=0x0, saveSqlFlag=1, nBytes=-1, zSql=0xa6f27208 "INSERT INTO Thumbnails (type, modificationDate, orientationHint, data) VALUES (?, ?, ?, ?);", db=0xbb67708) at sqlite3.c:94341
#3  sqlite3LockAndPrepare (db=0xbb67708, zSql=0xa6f27208 "INSERT INTO Thumbnails (type, modificationDate, orientationHint, data) VALUES (?, ?, ?, ?);", nBytes=-1, saveSqlFlag=1, pOld=0x0, ppStmt=0xa6d8cd28, pzTail=0xa9aa991c) at sqlite3.c:28788
#4  0x46b4dd03 in sqlite3Prepare16 (db=0xbb67708, zSql=0xa8a735aa, nBytes=184, saveSqlFlag=1, ppStmt=0xa6d8cd28, pzTail=0xa9aa9974) at sqlite3.c:94450
#5  0xb4e6b3ad in QSQLiteResult::prepare (this=0xa53e1018, query=...) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:360
#6  0x4594e6cc in QSqlResult::savePrepare (this=0xa53e1018, query=...) at kernel/qsqlresult.cpp:601
#7  0x459404c2 in QSqlQuery::prepare (this=0xa9aa9ac8, query=...) at kernel/qsqlquery.cpp:930
#8  0x429c9b16 in Digikam::SqlQuery::prepare (this=0xa9aa9ac4, query=...) at /usr/src/debug/digikam-2.9.0/core/libs/database/core/sqlquery.cpp:52
#9  0x429b215b in Digikam::DatabaseCoreBackend::prepareQuery (this=0x8e628d0, sql=...) at /usr/src/debug/digikam-2.9.0/core/libs/database/core/databasecorebackend.cpp:1458
#10 0x429b3ed7 in Digikam::DatabaseCoreBackend::execQuery (this=0xa9aa9b54, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /usr/src/debug/digikam-2.9.0/core/libs/database/core/databasecorebackend.cpp:1020
#11 0xa9aa9c7c in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 1 (Thread 0xb77a5900 (LWP 21730)):
[KCrash Handler]
#7  QSortFilterProxyModelPrivate::updateChildrenMapping (this=0x98d0468, source_parent=..., parent_mapping=0xa3d79f0, orient=Qt::Vertical, start=13, end=13, delta_item_count=1, remove=true) at itemviews/qsortfilterproxymodel.cpp:948
#8  0x44ef0324 in source_items_removed (orient=Qt::Vertical, end=13, start=13, source_parent=..., this=0x98d0468) at itemviews/qsortfilterproxymodel.cpp:890
#9  QSortFilterProxyModelPrivate::source_items_removed (this=0x98d0468, source_parent=..., start=13, end=13, orient=Qt::Vertical) at itemviews/qsortfilterproxymodel.cpp:848
#10 0x44ef04ec in QSortFilterProxyModelPrivate::_q_sourceRowsRemoved (this=0x98d0468, source_parent=..., start=13, end=13) at itemviews/qsortfilterproxymodel.cpp:1298
#11 0x440c7bce in QMetaObject::activate (sender=0x98d1b18, m=0x85660a0, local_signal_index=7, argv=0xbfa5a990) at kernel/qobject.cpp:3547
#12 0x441181b6 in QAbstractItemModel::rowsRemoved (this=0x98d1b18, _t1=..., _t2=13, _t3=13) at .moc/release-shared/moc_qabstractitemmodel.cpp:210
#13 0x440a83a1 in QAbstractItemModel::endRemoveRows (this=0x98d1b18) at kernel/qabstractitemmodel.cpp:2487
#14 0x44eeea85 in QSortFilterProxyModelPrivate::remove_proxy_interval (this=0x98d1b80, source_to_proxy=..., proxy_to_source=..., proxy_start=13, proxy_end=13, proxy_parent=..., orient=Qt::Vertical, emit_signal=true) at itemviews/qsortfilterproxymodel.cpp:569
#15 0x44ef38c0 in QSortFilterProxyModelPrivate::remove_source_items (this=0x98d1b80, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., orient=Qt::Vertical, emit_signal=true) at itemviews/qsortfilterproxymodel.cpp:539
#16 0x44ef5128 in QSortFilterProxyModelPrivate::source_items_about_to_be_removed (this=this@entry=0x98d1b80, source_parent=..., start=start@entry=13, end=end@entry=13, orient=orient@entry=Qt::Vertical) at itemviews/qsortfilterproxymodel.cpp:840
#17 0x44ef5227 in QSortFilterProxyModelPrivate::_q_sourceRowsAboutToBeRemoved (this=0x98d1b80, source_parent=..., start=13, end=13) at itemviews/qsortfilterproxymodel.cpp:1291
#18 0x440c7bce in QMetaObject::activate (sender=0x8fe7a18, m=0x85660a0, local_signal_index=6, argv=0xbfa5ac10) at kernel/qobject.cpp:3547
#19 0x44118156 in QAbstractItemModel::rowsAboutToBeRemoved (this=0x8fe7a18, _t1=..., _t2=13, _t3=13) at .moc/release-shared/moc_qabstractitemmodel.cpp:203
#20 0x440a6049 in QAbstractItemModel::beginRemoveRows (this=0x8fe7a18, parent=..., first=13, last=13) at kernel/qabstractitemmodel.cpp:2470
#21 0x081a53ec in Digikam::AbstractAlbumModel::slotAlbumAboutToBeDeleted (this=0x8fe7a18, album=0xa3d7248) at /usr/src/debug/digikam-2.9.0/core/libs/models/abstractalbummodel.cpp:480
#22 0x440c7bce in QMetaObject::activate (sender=0x8df9210, m=0x843056c, local_signal_index=2, argv=0xbfa5ad98) at kernel/qobject.cpp:3547
#23 0x081d2548 in Digikam::AlbumManager::signalAlbumAboutToBeDeleted (this=this@entry=0x8df9210, _t1=_t1@entry=0xa3d7248) at /usr/src/debug/digikam-2.9.0/i686-redhat-linux-gnu/core/digikam/albummanager.moc:237
#24 0x081d3ea4 in Digikam::AlbumManager::moveTAlbum (this=0x8df9210, album=0xa3d7248, newParent=0xa3f4110, errMsg=...) at /usr/src/debug/digikam-2.9.0/core/digikam/album/albummanager.cpp:2436
#25 0x08229d61 in Digikam::TagDragDropHandler::dropEvent (this=0xa3d7248, view=0x96db5c0, e=0xbfa5aecc, droppedOn=...) at /usr/src/debug/digikam-2.9.0/core/digikam/dragdrop/tagdragdrop.cpp:107
#26 0x081f7445 in Digikam::AbstractAlbumTreeView::dropEvent (this=0x96db5c0, e=0xbfa5b768) at /usr/src/debug/digikam-2.9.0/core/digikam/album/albumtreeview.cpp:668
#27 0x44914dc2 in QWidget::event (this=0x96db5c0, event=0xbfa5b768) at kernel/qwidget.cpp:8561
#28 0x44d2a556 in QFrame::event (this=0x96db5c0, e=0xbfa5b768) at widgets/qframe.cpp:557
#29 0x44dbc514 in QAbstractScrollArea::viewportEvent (this=0x96db5c0, e=0xbfa5b768) at widgets/qabstractscrollarea.cpp:1043
#30 0x44e5e9bc in QAbstractItemView::viewportEvent (this=0x96db5c0, event=0xbfa5b768) at itemviews/qabstractitemview.cpp:1644
#31 0x44ea99f8 in QTreeView::viewportEvent (this=0x96db5c0, event=0xbfa5b768) at itemviews/qtreeview.cpp:1257
#32 0x44dbeda6 in viewportEvent (event=0xbfa5b768, this=<optimized out>) at widgets/qabstractscrollarea_p.h:100
#33 QAbstractScrollAreaFilter::eventFilter (this=0x96dcbe8, o=0x96daa78, e=0xbfa5b768) at widgets/qabstractscrollarea_p.h:116
#34 0x440af65e in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x8d1bf30, receiver=0x96daa78, event=0xbfa5b768) at kernel/qcoreapplication.cpp:1025
#35 0x448baf7e in QApplicationPrivate::notify_helper (this=0x8d1bf30, receiver=0x96daa78, e=0xbfa5b768) at kernel/qapplication.cpp:4553
#36 0x448c0275 in QApplication::notify (this=0x0, receiver=0x96daa78, e=0xbfa5b768) at kernel/qapplication.cpp:4343
#37 0x4f90bfe2 in KApplication::notify (this=0xbfa5d8a8, receiver=0x96daa78, event=0xbfa5b768) at /usr/src/debug/kdelibs-4.9.3/kdeui/kernel/kapplication.cpp:311
#38 0x440af4de in QCoreApplication::notifyInternal (this=0xbfa5d8a8, receiver=0x96daa78, event=0xbfa5b768) at kernel/qcoreapplication.cpp:915
#39 0x4494f037 in sendEvent (event=0xbfa5b768, receiver=<optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:231
#40 QX11Data::xdndHandleDrop (this=0x8d1fc00, xe=xe@entry=0xbfa5b82c, passive=passive@entry=false) at kernel/qdnd_x11.cpp:1181
#41 0x44951726 in QDragManager::drop (this=this@entry=0xf46eb00) at kernel/qdnd_x11.cpp:1761
#42 0x4495347a in QDragManager::eventFilter (this=0xf46eb00, o=0xcdb19a0, e=0xbfa5bd94) at kernel/qdnd_x11.cpp:1310
#43 0x440af5b3 in QCoreApplicationPrivate::sendThroughApplicationEventFilters (this=0x8d1bf30, receiver=0xcdb19a0, event=0xbfa5bd94) at kernel/qcoreapplication.cpp:1006
#44 0x448baf2b in QApplicationPrivate::notify_helper (this=0x8d1bf30, receiver=0xcdb19a0, e=0xbfa5bd94) at kernel/qapplication.cpp:4532
#45 0x448c054b in QApplication::notify (this=0x8d1bf30, receiver=0xcdb19a0, e=0xbfa5bd94) at kernel/qapplication.cpp:4100
#46 0x4f90bfe2 in KApplication::notify (this=0xbfa5d8a8, receiver=0xcdb19a0, event=0xbfa5bd94) at /usr/src/debug/kdelibs-4.9.3/kdeui/kernel/kapplication.cpp:311
#47 0x440af4de in QCoreApplication::notifyInternal (this=0xbfa5d8a8, receiver=0xcdb19a0, event=0xbfa5bd94) at kernel/qcoreapplication.cpp:915
#48 0x448bbe35 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:231
#49 QApplicationPrivate::sendMouseEvent (receiver=0xcdb19a0, event=0xbfa5bd94, alienWidget=0x0, nativeWidget=0xcdb19a0, buttonDown=0x45254274, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3168
#50 0x449450f5 in QETWidget::translateMouseEvent (this=0xcdb19a0, event=0xbfa5c1bc) at kernel/qapplication_x11.cpp:4528
#51 0x44943d9b in QApplication::x11ProcessEvent (this=0xbfa5d8a8, event=0xbfa5c1bc) at kernel/qapplication_x11.cpp:3651
#52 0x4496d8a5 in x11EventSourceDispatch (s=s@entry=0x8d19268, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:148
#53 0x434ac0bb in g_main_dispatch (context=0x8d1de10, context@entry=0x8d1dee0) at gmain.c:2539
#54 g_main_context_dispatch (context=context@entry=0x8d1de10) at gmain.c:3075
#55 0x434ac460 in g_main_context_iterate (context=context@entry=0x8d1de10, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3146
#56 0x434ac542 in g_main_context_iteration (context=0x8d1de10, may_block=1) at gmain.c:3207
#57 0x440e1a82 in QEventDispatcherGlib::processEvents (this=0x8cd0578, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#58 0x4496d52b in QGuiEventDispatcherGlib::processEvents (this=0x8cd0578, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#59 0x440adf7d in QEventLoop::processEvents (this=this@entry=0xd1afd00, flags=...) at kernel/qeventloop.cpp:149
#60 0x440ae279 in QEventLoop::exec (this=0xd1afd00, flags=...) at kernel/qeventloop.cpp:204
#61 0x44953119 in QDragManager::drag (this=0xf46eb00, o=0xbdaf930) at kernel/qdnd_x11.cpp:2028
#62 0x448ce3e1 in QDrag::exec (this=0xbdaf930, supportedActions=..., defaultDropAction=Qt::IgnoreAction) at kernel/qdrag.cpp:284
#63 0x081fbf5a in Digikam::AbstractAlbumTreeView::startDrag (this=0x96db5c0, supportedActions=...) at /usr/src/debug/digikam-2.9.0/core/digikam/album/albumtreeview.cpp:600
#64 0x44e6869b in QAbstractItemView::mouseMoveEvent (this=0x96db5c0, event=0xbfa5cf84) at itemviews/qabstractitemview.cpp:1725
#65 0x44ea989c in QTreeView::mouseMoveEvent (this=0x96db5c0, event=0xbfa5cf84) at itemviews/qtreeview.cpp:1917
#66 0x4491513d in QWidget::event (this=0x96db5c0, event=0xbfa5cf84) at kernel/qwidget.cpp:8356
#67 0x44d2a556 in QFrame::event (this=0x96db5c0, e=0xbfa5cf84) at widgets/qframe.cpp:557
#68 0x44dbc514 in QAbstractScrollArea::viewportEvent (this=0x96db5c0, e=0xbfa5cf84) at widgets/qabstractscrollarea.cpp:1043
#69 0x44e5e9bc in QAbstractItemView::viewportEvent (this=0x96db5c0, event=0xbfa5cf84) at itemviews/qabstractitemview.cpp:1644
#70 0x44ea99f8 in QTreeView::viewportEvent (this=0x96db5c0, event=0xbfa5cf84) at itemviews/qtreeview.cpp:1257
#71 0x44dbeda6 in viewportEvent (event=0xbfa5cf84, this=<optimized out>) at widgets/qabstractscrollarea_p.h:100
#72 QAbstractScrollAreaFilter::eventFilter (this=0x96dcbe8, o=0x96daa78, e=0xbfa5cf84) at widgets/qabstractscrollarea_p.h:116
#73 0x440af65e in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x8d1bf30, receiver=0x96daa78, event=0xbfa5cf84) at kernel/qcoreapplication.cpp:1025
#74 0x448baf7e in QApplicationPrivate::notify_helper (this=0x8d1bf30, receiver=0x96daa78, e=0xbfa5cf84) at kernel/qapplication.cpp:4553
#75 0x448c054b in QApplication::notify (this=0x8d1bf30, receiver=0x96daa78, e=0xbfa5cf84) at kernel/qapplication.cpp:4100
#76 0x4f90bfe2 in KApplication::notify (this=0xbfa5d8a8, receiver=0x96daa78, event=0xbfa5cf84) at /usr/src/debug/kdelibs-4.9.3/kdeui/kernel/kapplication.cpp:311
#77 0x440af4de in QCoreApplication::notifyInternal (this=0xbfa5d8a8, receiver=0x96daa78, event=0xbfa5cf84) at kernel/qcoreapplication.cpp:915
#78 0x448bbe35 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:231
#79 QApplicationPrivate::sendMouseEvent (receiver=0x96daa78, event=0xbfa5cf84, alienWidget=0x0, nativeWidget=0x96daa78, buttonDown=0x45254274, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3168
#80 0x449450f5 in QETWidget::translateMouseEvent (this=0x96daa78, event=0xbfa5d3ac) at kernel/qapplication_x11.cpp:4528
#81 0x44943d9b in QApplication::x11ProcessEvent (this=0xbfa5d8a8, event=0xbfa5d3ac) at kernel/qapplication_x11.cpp:3651
#82 0x4496d8a5 in x11EventSourceDispatch (s=s@entry=0x8d19268, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:148
#83 0x434ac0bb in g_main_dispatch (context=0x8d1de10, context@entry=0x8d1dee0) at gmain.c:2539
#84 g_main_context_dispatch (context=context@entry=0x8d1de10) at gmain.c:3075
#85 0x434ac460 in g_main_context_iterate (context=context@entry=0x8d1de10, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3146
#86 0x434ac542 in g_main_context_iteration (context=0x8d1de10, may_block=1) at gmain.c:3207
#87 0x440e1a82 in QEventDispatcherGlib::processEvents (this=0x8cd0578, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#88 0x4496d52b in QGuiEventDispatcherGlib::processEvents (this=0x8cd0578, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#89 0x440adf7d in QEventLoop::processEvents (this=this@entry=0xbfa5d6a8, flags=...) at kernel/qeventloop.cpp:149
#90 0x440ae279 in QEventLoop::exec (this=0xbfa5d6a8, flags=...) at kernel/qeventloop.cpp:204
#91 0x440b37bb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#92 0x448b8e25 in QApplication::exec () at kernel/qapplication.cpp:3818
#93 0x080babe8 in main (argc=5, argv=0xbfa5da04) at /usr/src/debug/digikam-2.9.0/core/digikam/main/main.cpp:232

This bug may be a duplicate of or related to bug 309061.

Possible duplicates by query: bug 309061, bug 306051.

Reported using DrKonqi
Comment 1 caulier.gilles 2012-12-02 22:17:14 UTC

*** This bug has been marked as a duplicate of bug 306051 ***
Comment 2 Thomas 2013-01-30 18:41:35 UTC
For me, when deleting tags which are unassigned to photos digikam will not crash if the tags to be deleted are nested under a higher level tag. It only appears to crash when the tag being deleted is a top-level tag.
Comment 3 caulier.gilles 2013-01-30 18:54:58 UTC

*** This bug has been marked as a duplicate of bug 309061 ***
Comment 4 caulier.gilles 2021-08-26 16:52:03 UTC
Fixed with #309061